> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1tokens



## OpenAPI

````yaml /api/openapi.json get /api/v1/tokens
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/tokens:
    get:
      tags:
        - session
      operationId: listApiTokens
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiToken'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ApiToken:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
        prefix:
          type: string
          minLength: 1
        scopes:
          type: array
          items:
            $ref: '#/components/schemas/Scope'
        ownerId:
          type: string
          minLength: 1
        createdAt:
          type: string
          minLength: 1
        expiresAt:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        lastUsedAt:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        revokedAt:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - id
        - name
        - prefix
        - scopes
        - ownerId
        - createdAt
        - expiresAt
        - lastUsedAt
        - revokedAt
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    Scope:
      type: string
      enum:
        - courses:read
        - courses:write
        - content:read
        - content:write
        - people:read
        - people:write
        - access:read
        - access:write
        - grades:read
        - grades:write
        - ai:run
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````